---
- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "plausible_events"
    app_image: "docker.io/clickhouse/clickhouse-server:22.6-alpine"
    app_dir_volumes:
      - "{{ volume_root_dir }}/plausible/plausible_event-data:/var/lib/clickhouse:Z,rbind,noexec"
      - "{{ volume_root_dir }}/plausible/plausible_config:/etc/clickhouse-server/config.d/:Z,rbind,noexec"
      - "{{ volume_root_dir }}/plausible/plausible_config-user:/etc/clickhouse-server/users.d/:Z,rbind,noexec"

- include_tasks: roles/container_base/tasks/create_container.yml
  vars:
    app_name: "plausible"
    app_image: "docker.io/plausible/analytics"
    app_env:
      ADMIN_USER_EMAIL: "{{admin_user_mail}}"
      ADMIN_USER_NAME: "{{admin_user_name}}"
      ADMIN_USER_PWD: "{{admin_user_pass}}"
      BASE_URL: "https://localhost"
      SECRET_KEY_BASE: "3fe397575565365108556c3e5549f139e8078a8ec8fd2675a83de96289b30550a266ac04488d7086322efbe573738e7b3ae005b2e3d9afd718aa337fa5e329cf"
      DATABASE_URL: "{{ database_url:}}"
      CLICKHOUSE_DATABASE_URL: "{{ clickhouse_database_url  }}"
      MAILER_EMAIL: "{{ mailer_email  }}"
      SMTP_HOST_ADDR: "{{ smtp_host_address  }}"
      SMTP_HOST_PORT: "{{ smtp_host_port  }}"
      SMTP_USER_NAME: "{{ smtp_user_name  }}"
      SMTP_USER_PWD: "{{ smtp_user_pwd  }}"
      SMTP_HOST_SSL_ENABLED: "{{ smtp_ssl  }}"
      GOOGLE_CLIENT_ID: "{{  google_client_id  }}"
      GOOGLE_CLIENT_SECRET: "{{ google_client_secret  }}"
      MALLOC_ARENA_MAX: "2"
